Subject: [Fwd: Re: [pafree] WANTED: Kraft Parmesan shaker, empty plastic container]

From: David Harris <[email-masked]>
Date: Fri, 03 Nov 2006 21:22:47 +0000

-------- Original Message --------
Subject: Re: [pafree] WANTED: Kraft Parmesan shaker, empty plastic container
Date: Fri, 03 Nov 2006 21:22:15 +0000
From: David Harris <[email-masked]>
To: Jessica Horsman Rancourt <[email-masked]>
References: <[email-masked]>

I'm at work now, but I can put it out at the base of my mailbox, up by
the house, so you can get it Saturday or later.  I'm at 455 Margarita
Ave., Palo Alto 94306, about a half block from El Camino on the right
side of the road.

   - David

Jessica Horsman Rancourt wrote:
> Great! Where are you located? I can come pick it up today.